published on Friday, Mar 27, 2026 by tencentcloudstack
published on Friday, Mar 27, 2026 by tencentcloudstack
Use this resource to create Monitor notice content template.
Create MonitorNoticeContentTmpl Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new MonitorNoticeContentTmpl(name: string, args: MonitorNoticeContentTmplArgs, opts?: CustomResourceOptions);@overload
def MonitorNoticeContentTmpl(resource_name: str,
args: MonitorNoticeContentTmplArgs,
opts: Optional[ResourceOptions] = None)
@overload
def MonitorNoticeContentTmpl(resource_name: str,
opts: Optional[ResourceOptions] = None,
monitor_type: Optional[str] = None,
tmpl_contents: Optional[MonitorNoticeContentTmplTmplContentsArgs] = None,
tmpl_language: Optional[str] = None,
tmpl_name: Optional[str] = None,
monitor_notice_content_tmpl_id: Optional[str] = None)func NewMonitorNoticeContentTmpl(ctx *Context, name string, args MonitorNoticeContentTmplArgs, opts ...ResourceOption) (*MonitorNoticeContentTmpl, error)public MonitorNoticeContentTmpl(string name, MonitorNoticeContentTmplArgs args, CustomResourceOptions? opts = null)
public MonitorNoticeContentTmpl(String name, MonitorNoticeContentTmplArgs args)
public MonitorNoticeContentTmpl(String name, MonitorNoticeContentTmplArgs args, CustomResourceOptions options)
type: tencentcloud:MonitorNoticeContentTmpl
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args MonitorNoticeContentTmplArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args MonitorNoticeContentTmplArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args MonitorNoticeContentTmplArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args MonitorNoticeContentTmplArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args MonitorNoticeContentTmplArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
MonitorNoticeContentTmpl Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The MonitorNoticeContentTmpl resource accepts the following input properties:
- Monitor
Type string - Monitor type, e.g. MT_QCE.
- Tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- Tmpl
Language string - Template language, zh for Chinese, en for English.
- Tmpl
Name string - Template name.
- Monitor
Notice stringContent Tmpl Id - ID of the resource.
- Monitor
Type string - Monitor type, e.g. MT_QCE.
- Tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents Args - Template content configuration for different notification channels.
- Tmpl
Language string - Template language, zh for Chinese, en for English.
- Tmpl
Name string - Template name.
- Monitor
Notice stringContent Tmpl Id - ID of the resource.
- monitor
Type String - Monitor type, e.g. MT_QCE.
- tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- tmpl
Language String - Template language, zh for Chinese, en for English.
- tmpl
Name String - Template name.
- monitor
Notice StringContent Tmpl Id - ID of the resource.
- monitor
Type string - Monitor type, e.g. MT_QCE.
- tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- tmpl
Language string - Template language, zh for Chinese, en for English.
- tmpl
Name string - Template name.
- monitor
Notice stringContent Tmpl Id - ID of the resource.
- monitor_
type str - Monitor type, e.g. MT_QCE.
- tmpl_
contents MonitorNotice Content Tmpl Tmpl Contents Args - Template content configuration for different notification channels.
- tmpl_
language str - Template language, zh for Chinese, en for English.
- tmpl_
name str - Template name.
- monitor_
notice_ strcontent_ tmpl_ id - ID of the resource.
- monitor
Type String - Monitor type, e.g. MT_QCE.
- tmpl
Contents Property Map - Template content configuration for different notification channels.
- tmpl
Language String - Template language, zh for Chinese, en for English.
- tmpl
Name String - Template name.
- monitor
Notice StringContent Tmpl Id - ID of the resource.
Outputs
All input properties are implicitly available as output properties. Additionally, the MonitorNoticeContentTmpl resource produces the following output properties:
Look up Existing MonitorNoticeContentTmpl Resource
Get an existing MonitorNoticeContentTmpl resource’s state with the given name, ID, and optional extra properties used to qualify the lookup.
public static get(name: string, id: Input<ID>, state?: MonitorNoticeContentTmplState, opts?: CustomResourceOptions): MonitorNoticeContentTmpl@staticmethod
def get(resource_name: str,
id: str,
opts: Optional[ResourceOptions] = None,
monitor_notice_content_tmpl_id: Optional[str] = None,
monitor_type: Optional[str] = None,
tmpl_contents: Optional[MonitorNoticeContentTmplTmplContentsArgs] = None,
tmpl_id: Optional[str] = None,
tmpl_language: Optional[str] = None,
tmpl_name: Optional[str] = None) -> MonitorNoticeContentTmplfunc GetMonitorNoticeContentTmpl(ctx *Context, name string, id IDInput, state *MonitorNoticeContentTmplState, opts ...ResourceOption) (*MonitorNoticeContentTmpl, error)public static MonitorNoticeContentTmpl Get(string name, Input<string> id, MonitorNoticeContentTmplState? state, CustomResourceOptions? opts = null)public static MonitorNoticeContentTmpl get(String name, Output<String> id, MonitorNoticeContentTmplState state, CustomResourceOptions options)resources: _: type: tencentcloud:MonitorNoticeContentTmpl get: id: ${id}- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- resource_name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- name
- The unique name of the resulting resource.
- id
- The unique provider ID of the resource to lookup.
- state
- Any extra arguments used during the lookup.
- opts
- A bag of options that control this resource's behavior.
- Monitor
Notice stringContent Tmpl Id - ID of the resource.
- Monitor
Type string - Monitor type, e.g. MT_QCE.
- Tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- Tmpl
Id string - Template ID.
- Tmpl
Language string - Template language, zh for Chinese, en for English.
- Tmpl
Name string - Template name.
- Monitor
Notice stringContent Tmpl Id - ID of the resource.
- Monitor
Type string - Monitor type, e.g. MT_QCE.
- Tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents Args - Template content configuration for different notification channels.
- Tmpl
Id string - Template ID.
- Tmpl
Language string - Template language, zh for Chinese, en for English.
- Tmpl
Name string - Template name.
- monitor
Notice StringContent Tmpl Id - ID of the resource.
- monitor
Type String - Monitor type, e.g. MT_QCE.
- tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- tmpl
Id String - Template ID.
- tmpl
Language String - Template language, zh for Chinese, en for English.
- tmpl
Name String - Template name.
- monitor
Notice stringContent Tmpl Id - ID of the resource.
- monitor
Type string - Monitor type, e.g. MT_QCE.
- tmpl
Contents MonitorNotice Content Tmpl Tmpl Contents - Template content configuration for different notification channels.
- tmpl
Id string - Template ID.
- tmpl
Language string - Template language, zh for Chinese, en for English.
- tmpl
Name string - Template name.
- monitor_
notice_ strcontent_ tmpl_ id - ID of the resource.
- monitor_
type str - Monitor type, e.g. MT_QCE.
- tmpl_
contents MonitorNotice Content Tmpl Tmpl Contents Args - Template content configuration for different notification channels.
- tmpl_
id str - Template ID.
- tmpl_
language str - Template language, zh for Chinese, en for English.
- tmpl_
name str - Template name.
- monitor
Notice StringContent Tmpl Id - ID of the resource.
- monitor
Type String - Monitor type, e.g. MT_QCE.
- tmpl
Contents Property Map - Template content configuration for different notification channels.
- tmpl
Id String - Template ID.
- tmpl
Language String - Template language, zh for Chinese, en for English.
- tmpl
Name String - Template name.
Supporting Types
MonitorNoticeContentTmplTmplContents, MonitorNoticeContentTmplTmplContentsArgs
- Ding
Ding List<MonitorRobots Notice Content Tmpl Tmpl Contents Ding Ding Robot> - DingDing Robot notification channel configuration.
- Fei
Shu List<MonitorRobots Notice Content Tmpl Tmpl Contents Fei Shu Robot> - FeiShu Robot notification channel configuration.
- Pager
Duty List<MonitorRobots Notice Content Tmpl Tmpl Contents Pager Duty Robot> - PagerDuty Robot notification channel configuration.
- Qcloud
Yehes List<MonitorNotice Content Tmpl Tmpl Contents Qcloud Yehe> - QCloud Yehe notification channel configuration.
- Teams
Robots List<MonitorNotice Content Tmpl Tmpl Contents Teams Robot> - Teams Robot notification channel configuration.
- We
Work List<MonitorRobots Notice Content Tmpl Tmpl Contents We Work Robot> - WeWork Robot notification channel configuration.
- Webhooks
List<Monitor
Notice Content Tmpl Tmpl Contents Webhook> - Webhook notification channel configuration.
- Ding
Ding []MonitorRobots Notice Content Tmpl Tmpl Contents Ding Ding Robot - DingDing Robot notification channel configuration.
- Fei
Shu []MonitorRobots Notice Content Tmpl Tmpl Contents Fei Shu Robot - FeiShu Robot notification channel configuration.
- Pager
Duty []MonitorRobots Notice Content Tmpl Tmpl Contents Pager Duty Robot - PagerDuty Robot notification channel configuration.
- Qcloud
Yehes []MonitorNotice Content Tmpl Tmpl Contents Qcloud Yehe - QCloud Yehe notification channel configuration.
- Teams
Robots []MonitorNotice Content Tmpl Tmpl Contents Teams Robot - Teams Robot notification channel configuration.
- We
Work []MonitorRobots Notice Content Tmpl Tmpl Contents We Work Robot - WeWork Robot notification channel configuration.
- Webhooks
[]Monitor
Notice Content Tmpl Tmpl Contents Webhook - Webhook notification channel configuration.
- ding
Ding List<MonitorRobots Notice Content Tmpl Tmpl Contents Ding Ding Robot> - DingDing Robot notification channel configuration.
- fei
Shu List<MonitorRobots Notice Content Tmpl Tmpl Contents Fei Shu Robot> - FeiShu Robot notification channel configuration.
- pager
Duty List<MonitorRobots Notice Content Tmpl Tmpl Contents Pager Duty Robot> - PagerDuty Robot notification channel configuration.
- qcloud
Yehes List<MonitorNotice Content Tmpl Tmpl Contents Qcloud Yehe> - QCloud Yehe notification channel configuration.
- teams
Robots List<MonitorNotice Content Tmpl Tmpl Contents Teams Robot> - Teams Robot notification channel configuration.
- we
Work List<MonitorRobots Notice Content Tmpl Tmpl Contents We Work Robot> - WeWork Robot notification channel configuration.
- webhooks
List<Monitor
Notice Content Tmpl Tmpl Contents Webhook> - Webhook notification channel configuration.
- ding
Ding MonitorRobots Notice Content Tmpl Tmpl Contents Ding Ding Robot[] - DingDing Robot notification channel configuration.
- fei
Shu MonitorRobots Notice Content Tmpl Tmpl Contents Fei Shu Robot[] - FeiShu Robot notification channel configuration.
- pager
Duty MonitorRobots Notice Content Tmpl Tmpl Contents Pager Duty Robot[] - PagerDuty Robot notification channel configuration.
- qcloud
Yehes MonitorNotice Content Tmpl Tmpl Contents Qcloud Yehe[] - QCloud Yehe notification channel configuration.
- teams
Robots MonitorNotice Content Tmpl Tmpl Contents Teams Robot[] - Teams Robot notification channel configuration.
- we
Work MonitorRobots Notice Content Tmpl Tmpl Contents We Work Robot[] - WeWork Robot notification channel configuration.
- webhooks
Monitor
Notice Content Tmpl Tmpl Contents Webhook[] - Webhook notification channel configuration.
- ding_
ding_ Sequence[Monitorrobots Notice Content Tmpl Tmpl Contents Ding Ding Robot] - DingDing Robot notification channel configuration.
- fei_
shu_ Sequence[Monitorrobots Notice Content Tmpl Tmpl Contents Fei Shu Robot] - FeiShu Robot notification channel configuration.
- pager_
duty_ Sequence[Monitorrobots Notice Content Tmpl Tmpl Contents Pager Duty Robot] - PagerDuty Robot notification channel configuration.
- qcloud_
yehes Sequence[MonitorNotice Content Tmpl Tmpl Contents Qcloud Yehe] - QCloud Yehe notification channel configuration.
- teams_
robots Sequence[MonitorNotice Content Tmpl Tmpl Contents Teams Robot] - Teams Robot notification channel configuration.
- we_
work_ Sequence[Monitorrobots Notice Content Tmpl Tmpl Contents We Work Robot] - WeWork Robot notification channel configuration.
- webhooks
Sequence[Monitor
Notice Content Tmpl Tmpl Contents Webhook] - Webhook notification channel configuration.
- ding
Ding List<Property Map>Robots - DingDing Robot notification channel configuration.
- fei
Shu List<Property Map>Robots - FeiShu Robot notification channel configuration.
- pager
Duty List<Property Map>Robots - PagerDuty Robot notification channel configuration.
- qcloud
Yehes List<Property Map> - QCloud Yehe notification channel configuration.
- teams
Robots List<Property Map> - Teams Robot notification channel configuration.
- we
Work List<Property Map>Robots - WeWork Robot notification channel configuration.
- webhooks List<Property Map>
- Webhook notification channel configuration.
MonitorNoticeContentTmplTmplContentsDingDingRobot, MonitorNoticeContentTmplTmplContentsDingDingRobotArgs
- Matching
Statuses List<string> - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Ding Ding Robot Template - Template configuration.
- Matching
Statuses []string - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Ding Ding Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Ding Ding Robot Template - Template configuration.
- matching
Statuses string[] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Ding Ding Robot Template - Template configuration.
- matching_
statuses Sequence[str] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Ding Ding Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template Property Map
- Template configuration.
MonitorNoticeContentTmplTmplContentsDingDingRobotTemplate, MonitorNoticeContentTmplTmplContentsDingDingRobotTemplateArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsFeiShuRobot, MonitorNoticeContentTmplTmplContentsFeiShuRobotArgs
- Matching
Statuses List<string> - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Fei Shu Robot Template - Template configuration.
- Matching
Statuses []string - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Fei Shu Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Fei Shu Robot Template - Template configuration.
- matching
Statuses string[] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Fei Shu Robot Template - Template configuration.
- matching_
statuses Sequence[str] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Fei Shu Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template Property Map
- Template configuration.
MonitorNoticeContentTmplTmplContentsFeiShuRobotTemplate, MonitorNoticeContentTmplTmplContentsFeiShuRobotTemplateArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsPagerDutyRobot, MonitorNoticeContentTmplTmplContentsPagerDutyRobotArgs
- Matching
Statuses List<string> - Matching status list.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template - PagerDuty template.
- Matching
Statuses []string - Matching status list.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template - PagerDuty template.
- matching
Statuses List<String> - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template - PagerDuty template.
- matching
Statuses string[] - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template - PagerDuty template.
- matching_
statuses Sequence[str] - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template - PagerDuty template.
- matching
Statuses List<String> - Matching status list.
- template Property Map
- PagerDuty template.
MonitorNoticeContentTmplTmplContentsPagerDutyRobotTemplate, MonitorNoticeContentTmplTmplContentsPagerDutyRobotTemplateArgs
- Body string
- Request body.
- Headers
List<Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template Header> - Request headers.
- Title
Tmpl string - Title template.
- Body string
- Request body.
- Headers
[]Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template Header - Request headers.
- Title
Tmpl string - Title template.
- body String
- Request body.
- headers
List<Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template Header> - Request headers.
- title
Tmpl String - Title template.
- body string
- Request body.
- headers
Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template Header[] - Request headers.
- title
Tmpl string - Title template.
- body str
- Request body.
- headers
Sequence[Monitor
Notice Content Tmpl Tmpl Contents Pager Duty Robot Template Header] - Request headers.
- title_
tmpl str - Title template.
- body String
- Request body.
- headers List<Property Map>
- Request headers.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsPagerDutyRobotTemplateHeader, MonitorNoticeContentTmplTmplContentsPagerDutyRobotTemplateHeaderArgs
MonitorNoticeContentTmplTmplContentsQcloudYehe, MonitorNoticeContentTmplTmplContentsQcloudYeheArgs
- Matching
Statuses List<string> - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template - Template configuration.
- Matching
Statuses []string - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template - Template configuration.
- matching
Statuses string[] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template - Template configuration.
- matching_
statuses Sequence[str] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template Property Map
- Template configuration.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplate, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateArgs
- Andon
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Andon - Andon notification.
- Email
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Email - Email notification.
- Qywx
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Qywx - Enterprise WeChat notification.
- Site
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Site - Site notification.
- Sms
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Sms - SMS notification.
- Voice
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Voice - Voice notification.
- Wechat
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Wechat - WeChat notification.
- Andon
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Andon - Andon notification.
- Email
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Email - Email notification.
- Qywx
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Qywx - Enterprise WeChat notification.
- Site
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Site - Site notification.
- Sms
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Sms - SMS notification.
- Voice
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Voice - Voice notification.
- Wechat
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Wechat - WeChat notification.
- andon
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Andon - Andon notification.
- email
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Email - Email notification.
- qywx
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Qywx - Enterprise WeChat notification.
- site
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Site - Site notification.
- sms
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Sms - SMS notification.
- voice
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Voice - Voice notification.
- wechat
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Wechat - WeChat notification.
- andon
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Andon - Andon notification.
- email
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Email - Email notification.
- qywx
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Qywx - Enterprise WeChat notification.
- site
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Site - Site notification.
- sms
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Sms - SMS notification.
- voice
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Voice - Voice notification.
- wechat
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Wechat - WeChat notification.
- andon
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Andon - Andon notification.
- email
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Email - Email notification.
- qywx
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Qywx - Enterprise WeChat notification.
- site
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Site - Site notification.
- sms
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Sms - SMS notification.
- voice
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Voice - Voice notification.
- wechat
Monitor
Notice Content Tmpl Tmpl Contents Qcloud Yehe Template Wechat - WeChat notification.
- andon Property Map
- Andon notification.
- email Property Map
- Email notification.
- qywx Property Map
- Enterprise WeChat notification.
- site Property Map
- Site notification.
- sms Property Map
- SMS notification.
- voice Property Map
- Voice notification.
- wechat Property Map
- WeChat notification.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateAndon, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateAndonArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateEmail, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateEmailArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateQywx, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateQywxArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateSite, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateSiteArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateSms, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateSmsArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateVoice, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateVoiceArgs
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- Content
Tmpl string - Content template.
- Title
Tmpl string - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
- content
Tmpl string - Content template.
- title
Tmpl string - Title template.
- content_
tmpl str - Content template.
- title_
tmpl str - Title template.
- content
Tmpl String - Content template.
- title
Tmpl String - Title template.
MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateWechat, MonitorNoticeContentTmplTmplContentsQcloudYeheTemplateWechatArgs
- Alarm
Content stringTmpl - Alarm content template.
- Alarm
Object stringTmpl - Alarm object template.
- Alarm
Region stringTmpl - Alarm region template.
- Alarm
Time stringTmpl - Alarm time template.
- Alarm
Content stringTmpl - Alarm content template.
- Alarm
Object stringTmpl - Alarm object template.
- Alarm
Region stringTmpl - Alarm region template.
- Alarm
Time stringTmpl - Alarm time template.
- alarm
Content StringTmpl - Alarm content template.
- alarm
Object StringTmpl - Alarm object template.
- alarm
Region StringTmpl - Alarm region template.
- alarm
Time StringTmpl - Alarm time template.
- alarm
Content stringTmpl - Alarm content template.
- alarm
Object stringTmpl - Alarm object template.
- alarm
Region stringTmpl - Alarm region template.
- alarm
Time stringTmpl - Alarm time template.
- alarm_
content_ strtmpl - Alarm content template.
- alarm_
object_ strtmpl - Alarm object template.
- alarm_
region_ strtmpl - Alarm region template.
- alarm_
time_ strtmpl - Alarm time template.
- alarm
Content StringTmpl - Alarm content template.
- alarm
Object StringTmpl - Alarm object template.
- alarm
Region StringTmpl - Alarm region template.
- alarm
Time StringTmpl - Alarm time template.
MonitorNoticeContentTmplTmplContentsTeamsRobot, MonitorNoticeContentTmplTmplContentsTeamsRobotArgs
- Matching
Statuses List<string> - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Teams Robot Template - Template configuration.
- Matching
Statuses []string - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Teams Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Teams Robot Template - Template configuration.
- matching
Statuses string[] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Teams Robot Template - Template configuration.
- matching_
statuses Sequence[str] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents Teams Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template Property Map
- Template configuration.
MonitorNoticeContentTmplTmplContentsTeamsRobotTemplate, MonitorNoticeContentTmplTmplContentsTeamsRobotTemplateArgs
- Content
Tmpl string - Content template.
- Content
Tmpl string - Content template.
- content
Tmpl String - Content template.
- content
Tmpl string - Content template.
- content_
tmpl str - Content template.
- content
Tmpl String - Content template.
MonitorNoticeContentTmplTmplContentsWeWorkRobot, MonitorNoticeContentTmplTmplContentsWeWorkRobotArgs
- Matching
Statuses List<string> - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents We Work Robot Template - Template configuration.
- Matching
Statuses []string - Matching status list, e.g. Trigger, Recovery.
- Template
Monitor
Notice Content Tmpl Tmpl Contents We Work Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents We Work Robot Template - Template configuration.
- matching
Statuses string[] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents We Work Robot Template - Template configuration.
- matching_
statuses Sequence[str] - Matching status list, e.g. Trigger, Recovery.
- template
Monitor
Notice Content Tmpl Tmpl Contents We Work Robot Template - Template configuration.
- matching
Statuses List<String> - Matching status list, e.g. Trigger, Recovery.
- template Property Map
- Template configuration.
MonitorNoticeContentTmplTmplContentsWeWorkRobotTemplate, MonitorNoticeContentTmplTmplContentsWeWorkRobotTemplateArgs
- Content
Tmpl string - Content template.
- Content
Tmpl string - Content template.
- content
Tmpl String - Content template.
- content
Tmpl string - Content template.
- content_
tmpl str - Content template.
- content
Tmpl String - Content template.
MonitorNoticeContentTmplTmplContentsWebhook, MonitorNoticeContentTmplTmplContentsWebhookArgs
- Matching
Statuses List<string> - Matching status list.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template - Webhook template.
- Matching
Statuses []string - Matching status list.
- Template
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template - Webhook template.
- matching
Statuses List<String> - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template - Webhook template.
- matching
Statuses string[] - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template - Webhook template.
- matching_
statuses Sequence[str] - Matching status list.
- template
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template - Webhook template.
- matching
Statuses List<String> - Matching status list.
- template Property Map
- Webhook template.
MonitorNoticeContentTmplTmplContentsWebhookTemplate, MonitorNoticeContentTmplTmplContentsWebhookTemplateArgs
- Body string
- Request body.
- Body
Content stringType - Body content type.
- Headers
List<Monitor
Notice Content Tmpl Tmpl Contents Webhook Template Header> - Request headers.
- Body string
- Request body.
- Body
Content stringType - Body content type.
- Headers
[]Monitor
Notice Content Tmpl Tmpl Contents Webhook Template Header - Request headers.
- body String
- Request body.
- body
Content StringType - Body content type.
- headers
List<Monitor
Notice Content Tmpl Tmpl Contents Webhook Template Header> - Request headers.
- body string
- Request body.
- body
Content stringType - Body content type.
- headers
Monitor
Notice Content Tmpl Tmpl Contents Webhook Template Header[] - Request headers.
- body str
- Request body.
- body_
content_ strtype - Body content type.
- headers
Sequence[Monitor
Notice Content Tmpl Tmpl Contents Webhook Template Header] - Request headers.
- body String
- Request body.
- body
Content StringType - Body content type.
- headers List<Property Map>
- Request headers.
MonitorNoticeContentTmplTmplContentsWebhookTemplateHeader, MonitorNoticeContentTmplTmplContentsWebhookTemplateHeaderArgs
Import
Monitor notice content template can be imported using the id, e.g.
$ pulumi import tencentcloud:index/monitorNoticeContentTmpl:MonitorNoticeContentTmpl example ntpl-3r1spzjn
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- tencentcloud tencentcloudstack/terraform-provider-tencentcloud
- License
- Notes
- This Pulumi package is based on the
tencentcloudTerraform Provider.
published on Friday, Mar 27, 2026 by tencentcloudstack
